Start a protein library screen
POST/compute/v1/protein/library-screen
Screen a set of protein candidates against a target
Body Parameters
idempotency_key: optional string
Client-provided key to prevent duplicate submissions on retries
maxLength255
workspace_id: optional string
Target workspace ID (admin keys only; ignored for workspace keys)
Returns
id: string
Unique ProteinLibraryScreen identifier
completed_at: string
formatdate-time
created_at: string
formatdate-time
data_deleted_at: string
When the input, output, and result data was permanently deleted. Null if data has not been deleted.
formatdate-time
engine: "boltz-protein-screen"
Engine used for protein library screen
engine_version: string
Engine version used for protein library screen
livemode: boolean
Whether this resource was created with a live API key.
started_at: string
formatdate-time
stopped_at: string
formatdate-time
workspace_id: string
Workspace ID
idempotency_key: optional string
Client-provided idempotency key
Start a protein library screen
curl https://api.boltz.bio/compute/v1/protein/library-screen \
-H 'Content-Type: application/json' \
-H "x-api-key: $BOLTZ_API_KEY" \
-d '{
"proteins": [
{
"entities": [
{
"chain_ids": [
"string"
],
"type": "protein",
"value": "value"
}
]
}
],
"target": {
"chain_selection": {
"A": {
"chain_type": "polymer",
"crop_residues": [
0,
1,
2,
3,
4,
5,
6,
7,
8,
9,
10,
11,
12
],
"epitope_residues": [
10,
11,
12
],
"flexible_residues": [
5,
6,
7
]
}
},
"structure": {
"type": "url",
"url": "https://example.com"
},
"type": "structure_template"
}
}'{
"id": "id",
"completed_at": "2019-12-27T18:11:19.117Z",
"created_at": "2019-12-27T18:11:19.117Z",
"data_deleted_at": "2019-12-27T18:11:19.117Z",
"engine": "boltz-protein-screen",
"engine_version": "engine_version",
"error": {
"code": "code",
"message": "message",
"details": {}
},
"input": {
"proteins": {
"url": "https://example.com",
"url_expires_at": "2019-12-27T18:11:19.117Z"
},
"target": {
"chain_selection": {
"A": {
"chain_type": "polymer",
"crop_residues": [
0,
1,
2,
3,
4,
5,
6,
7,
8,
9,
10,
11,
12
],
"epitope_residues": [
10,
11,
12
],
"flexible_residues": [
5,
6,
7
]
}
},
"structure": {
"url": "https://example.com",
"url_expires_at": "2019-12-27T18:11:19.117Z"
},
"type": "structure_template"
}
},
"livemode": true,
"progress": {
"num_proteins_failed": 0,
"num_proteins_screened": 0,
"total_proteins_to_screen": 1,
"latest_result_id": "latest_result_id"
},
"started_at": "2019-12-27T18:11:19.117Z",
"status": "pending",
"stopped_at": "2019-12-27T18:11:19.117Z",
"workspace_id": "workspace_id",
"idempotency_key": "idempotency_key"
}Returns Examples
{
"id": "id",
"completed_at": "2019-12-27T18:11:19.117Z",
"created_at": "2019-12-27T18:11:19.117Z",
"data_deleted_at": "2019-12-27T18:11:19.117Z",
"engine": "boltz-protein-screen",
"engine_version": "engine_version",
"error": {
"code": "code",
"message": "message",
"details": {}
},
"input": {
"proteins": {
"url": "https://example.com",
"url_expires_at": "2019-12-27T18:11:19.117Z"
},
"target": {
"chain_selection": {
"A": {
"chain_type": "polymer",
"crop_residues": [
0,
1,
2,
3,
4,
5,
6,
7,
8,
9,
10,
11,
12
],
"epitope_residues": [
10,
11,
12
],
"flexible_residues": [
5,
6,
7
]
}
},
"structure": {
"url": "https://example.com",
"url_expires_at": "2019-12-27T18:11:19.117Z"
},
"type": "structure_template"
}
},
"livemode": true,
"progress": {
"num_proteins_failed": 0,
"num_proteins_screened": 0,
"total_proteins_to_screen": 1,
"latest_result_id": "latest_result_id"
},
"started_at": "2019-12-27T18:11:19.117Z",
"status": "pending",
"stopped_at": "2019-12-27T18:11:19.117Z",
"workspace_id": "workspace_id",
"idempotency_key": "idempotency_key"
}